## NMSettingBluetooth

NMSettingBluetooth — Describes Bluetooth connection properties

## Functions

NMSetting * | nm_setting_bluetooth_new ()
const char * | nm_setting_bluetooth_get_bdaddr ()
const char * | nm_setting_bluetooth_get_connection_type ()

## Properties

gchar * | bdaddr | Read / Write
gchar * | type | Read / Write

## Types and Values

#define | NM_SETTING_BLUETOOTH_SETTING_NAME
#define | NM_SETTING_BLUETOOTH_BDADDR
#define | NM_SETTING_BLUETOOTH_TYPE
#define | NM_SETTING_BLUETOOTH_TYPE_DUN
#define | NM_SETTING_BLUETOOTH_TYPE_PANU
| NMSettingBluetooth

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingBluetooth

## Description

The NMSettingBluetooth object is a NMSetting subclass that describes properties necessary for connection to devices that provide network connections via the Bluetooth Dial-Up Networking (DUN) and Network Access Point (NAP) profiles.

## Functions

### nm_setting_bluetooth_new ()

    NMSetting *
    nm_setting_bluetooth_new (void);

Creates a new NMSettingBluetooth object with default values.

#### Returns

the new empty NMSettingBluetooth object.

[transfer full]

### nm_setting_bluetooth_get_bdaddr ()

    const char *
    nm_setting_bluetooth_get_bdaddr (NMSettingBluetooth *setting);

Gets the Bluetooth address of the remote device which this setting describes a connection to.

#### Parameters

setting | the NMSettingBluetooth |

#### Returns

the Bluetooth address

### nm_setting_bluetooth_get_connection_type ()

    const char *
    nm_setting_bluetooth_get_connection_type
                                   (NMSettingBluetooth *setting);

Returns the connection method for communicating with the remote device (i.e. either DUN to a DUN-capable device or PANU to a NAP-capable device).

#### Parameters

setting | the NMSettingBluetooth |

#### Returns

the type, either `NM_SETTING_BLUETOOTH_TYPE_PANU` or `NM_SETTING_BLUETOOTH_TYPE_DUN`

## Types and Values

### NM_SETTING_BLUETOOTH_SETTING_NAME

    #define NM_SETTING_BLUETOOTH_SETTING_NAME "bluetooth"

### NM_SETTING_BLUETOOTH_BDADDR

    #define NM_SETTING_BLUETOOTH_BDADDR    "bdaddr"

### NM_SETTING_BLUETOOTH_TYPE

    #define NM_SETTING_BLUETOOTH_TYPE      "type"

### NM_SETTING_BLUETOOTH_TYPE_DUN

    #define NM_SETTING_BLUETOOTH_TYPE_DUN  "dun"

Connection type describing a connection to devices that support the Bluetooth DUN profile.

### NM_SETTING_BLUETOOTH_TYPE_PANU

    #define NM_SETTING_BLUETOOTH_TYPE_PANU "panu"

Connection type describing a connection to devices that support the Bluetooth NAP (Network Access Point) protocol, which accepts connections via PANU.

### NMSettingBluetooth

    typedef struct _NMSettingBluetooth NMSettingBluetooth;

## Property Details

### The `“bdaddr”` property

      “bdaddr”                   gchar *

The Bluetooth address of the device.

Flags: Read / Write

Default value: NULL

### The `“type”` property

      “type”                     gchar *

Either "dun" for Dial-Up Networking connections or "panu" for Personal Area Networking connections to devices supporting the NAP profile.

Flags: Read / Write

Default value: NULL